"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const testing_1 = require("@angular-devkit/schematics/testing");
const schematics_1 = require("@angular-devkit/schematics");
describe('Set Environments', () => {
    const schematicRunner = new testing_1.SchematicTestRunner('@schematics/set-env', require.resolve('../collection.json'));
    // let appTree: UnitTestTree = new UnitTestTree(new HostTree());
    it('update environments', () => __awaiter(void 0, void 0, void 0, function* () {
        const tree = yield schematicRunner.runSchematic('set-env', { prefix: 'USERNAME' }, schematics_1.Tree.empty());
        expect(tree.exists('./src/environments/env.ts')).toBe(true);
        // console.log(tree.readContent('./src/environments/env.ts'));
    }));
});
//# sourceMappingURL=index.spec.js.map